<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:exsl="http://exslt.org/common" 
                xmlns:func="http://exslt.org/functions"
                xmlns:dyn="http://exslt.org/dynamic"
                xmlns:math="http://exslt.org/math"
                xmlns:str="http://exslt.org/strings"
                xmlns:g="."
                xmlns:galleroo="."
                extension-element-prefixes="dyn func exsl math str g galleroo" 
                version='1.1'>
<xsl:include href="../Lib/galleroo.xsl" />
<xsl:output method="html" /> 

<!-- doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" indent="yes" -->

<!-- Galleroo Misgarot XSL XML->HTML stylesheet 1.0
     Copyright 2003-2004, all rights reserved, xyster.net
     written: 	11/9/03
     modified:  
     author: 	xyster
-->

<xsl:param name="title">Photo Gallery</xsl:param>
<xsl:param name="sub-title" />
<xsl:param name="text-color">#000000</xsl:param>
<xsl:param name="nav-background-color">#FFFFFF</xsl:param>
<xsl:param name="slide-background-color">#FFFFFF</xsl:param>
<xsl:param name="link-color">#000066</xsl:param>
<xsl:param name="visited-link-color">#990099</xsl:param>
<xsl:param name="active-link-color">#FF0000</xsl:param>
<xsl:param name="sort-by">date</xsl:param>
<xsl:param name="thumb-size">75</xsl:param>
<xsl:param name="html-file-prefix" />
<xsl:param name="do-auto-play-movies">no</xsl:param>
<xsl:param name="nav-background-image" />
<xsl:param name="slide-background-image" />
<xsl:param name="nav-alignment">left</xsl:param>
<xsl:param name="custom-css-file" />
<xsl:param name="font" />

<xsl:param name="_preview">0</xsl:param>

<xsl:template match="list">
    
    <!-- nav css -->
    <xsl:call-template name="gal-emit-css-file">
        <xsl:with-param name="name" select="'index'" />
        <xsl:with-param name="html-file-prefix" select="$html-file-prefix" />
        <xsl:with-param name="background-image" select="$nav-background-image" />
        <xsl:with-param name="background-color" select="$nav-background-color" />
        <xsl:with-param name="font" select="$font" />
        <xsl:with-param name="text-color" select="$text-color" />
        <xsl:with-param name="link-color" select="$link-color" />
        <xsl:with-param name="active-link-color" select="$active-link-color" />
        <xsl:with-param name="visited-link-color" select="$visited-link-color" />
    </xsl:call-template>
    
    <!-- slide css -->
    <xsl:call-template name="gal-emit-css-file">
        <xsl:with-param name="name" select="'slide'" />
        <xsl:with-param name="html-file-prefix" select="$html-file-prefix" />
        <xsl:with-param name="background-image" select="$slide-background-image" />
        <xsl:with-param name="background-color" select="$slide-background-color" />
        <xsl:with-param name="font" select="$font" />
        <xsl:with-param name="text-color" select="$text-color" />
        <xsl:with-param name="link-color" select="$link-color" />
        <xsl:with-param name="active-link-color" select="$active-link-color" />
        <xsl:with-param name="visited-link-color" select="$visited-link-color" />
    </xsl:call-template>
           	
 	<!-- frameset -->
   	<xsl:call-template name="gal-emit-frameset">
        <xsl:with-param name="preview" select="$_preview" />
        <xsl:with-param name="title" select="$title" />
        <xsl:with-param name="sub-title" select="$sub-title" />
        <xsl:with-param name="nav-alignment" select="$nav-alignment" />
        <xsl:with-param name="sort-by" select="$sort-by" />
        <xsl:with-param name="thumb-size" select="$thumb-size" />
        <xsl:with-param name="padding" select="40" />
        <xsl:with-param name="html-file-prefix" select="$html-file-prefix" />
    </xsl:call-template>
    
    <!-- initial blank page -->
    <xsl:call-template name="gal-emit-blank-slide">
        <xsl:with-param name="title" select="$title" />
        <xsl:with-param name="sub-title" select="$sub-title" />
        <xsl:with-param name="css-name" select="'slide'" />
        <xsl:with-param name="custom-css-file" select="$custom-css-file" />
        <xsl:with-param name="html-file-prefix" select="$html-file-prefix" />
    </xsl:call-template>
    
    <!-- nav bar -->
    <xsl:call-template name="gal-emit-nav-bar">
        <xsl:with-param name="alignment" select="$nav-alignment" />
        <xsl:with-param name="sort-by" select="$sort-by" />
        <xsl:with-param name="css-name" select="'index'" />
        <xsl:with-param name="custom-css-file" select="$custom-css-file" />
        <xsl:with-param name="html-file-prefix" select="$html-file-prefix" />
    </xsl:call-template>
    
    <!-- generate the picture pages -->
    <xsl:call-template name="gal-emit-simple-slides">
        <xsl:with-param name="pix" select="media/object/children/object/children/object" />
        <xsl:with-param name="title" select="$title" />
        <xsl:with-param name="sub-title" select="$sub-title" />
        <xsl:with-param name="css-name" select="'slide'" />
        <xsl:with-param name="custom-css-file" select="$custom-css-file" />
        <xsl:with-param name="do-auto-play-movies" select="$do-auto-play-movies" />
        <xsl:with-param name="html-file-prefix" select="$html-file-prefix" />
    </xsl:call-template>
            
</xsl:template>

</xsl:stylesheet>
